# OpalMediaSession Class Reference

`#include <rtpconn.h>`

List of all members.

## Public Member Functions

| OpalMediaSession (const OpalMediaType &_mediaType)
| OpalMediaSession (const OpalMediaSession &_obj)
PObject * | Clone () const

## Public Attributes

OpalMediaType | mediaType
bool | autoStartReceive
bool | autoStartTransmit
unsigned | sessionId
RTP_Session * | rtpSession

## Detailed Description

Class for carrying media session information

## Constructor & Destructor Documentation

OpalMediaSession::OpalMediaSession | ( | const OpalMediaType & | _mediaType | ) |

OpalMediaSession::OpalMediaSession | ( | const OpalMediaSession & | _obj | ) |

## Member Function Documentation

PObject* OpalMediaSession::Clone | ( |  | ) | const`[inline]`

## Member Data Documentation

OpalMediaType OpalMediaSession::mediaType

bool OpalMediaSession::autoStartReceive

bool OpalMediaSession::autoStartTransmit

unsigned OpalMediaSession::sessionId

RTP_Session* OpalMediaSession::rtpSession

The documentation for this class was generated from the following file:

- rtpconn.h